name: muthsevcontent/button
typeName: button
title: Button
description: 'Ein einzelner Button'
group: common
prefixFields: false
prefixType: full
fields:
  -
    identifier: ButtonContent
    type: Palette
    fields:
    -
      identifier: header
      useExistingField: true
      label: 'Button Label'
    -
      identifier: subheader
      useExistingField: true
      label: 'Button Sub-Label'
      displayCond: 'FIELD:header:!=:'
  -
    identifier: header_link
    useExistingField: true
    label: 'Ziel des Buttons'
    description: 'Es kann auf Seiten, Produkte, Dateien und noch mehr verlinkt werden.'

  -
    identifier: ButtonAppearance
    type: Palette
    label: Optik
    fields:
      - identifier: header_appearance
        useExistingField: true
        type: Text
        label: Button-Variante (Primär usw)
      - identifier: header_layout
        useExistingField: true
        label: Button-Optik (klein, groß usw.)
      - identifier: layout
        useExistingField: true
        label: Breite
  -
    identifier: ButtonSpacing
    type: Palette
    label: Abstände
    fields:
      -
        identifier: space_before_class
        useExistingField: true
      -
        identifier: space_after_class
        useExistingField: true
